% Compute flow-law items and velocities 



meltedbar=( melted(index(:,1)) | melted(index(:,2)) );
thickbar=(thick(index(:,1)*2-1) + thick(index(:,2)*2-1))/2;

Tbar(:,:)=(T(index(:,1),(rocklev+1):nlev)+T(index(:,2),(rocklev+1):nlev))/2;
for n=1:icelev
   Tpmpbar(:,n)=Tnot-rho*g*thickbar*(1-zetaice(n))*Phi;
   THbar(:,n)=Tbar(:,n)-Tpmpbar(:,n)+Tnot*ones(nel,1);
Tpmp(:,n)=Tnot-rho*g*thick(1:2:(nods*2-1))*(1-zetaice(n))*Phi;
TH(:,n)=T(:,n+rocklev)-Tpmp(:,n)+Tnot*ones(nods,1);
Abar(:,n)=(aflowcold*(THbar(:,n)<Tdiscrim) + aflowhot*(THbar(:,n)>=Tdiscrim)) ...
                  .*exp( (-Qcold*(THbar(:,n)<Tdiscrim) - Qhot*(THbar(:,n)>=Tdiscrim))./(Rgas.*THbar(:,n)));
Anode(:,n)=(aflowcold*(TH(:,n)<Tdiscrim) + aflowhot*(TH(:,n)>=Tdiscrim)) ...
.*exp( (-Qcold*(TH(:,n)<Tdiscrim) - Qhot*(TH(:,n)>=Tdiscrim))./(Rgas*TH(:,n)));
 
end


%%** deformational parts of ice motion 
Iintegral=zeros(nel,1);
for n=2:icelev
   I(:,n)=(Abar(:,n-1).*((1-zetaice(n-1))).^3 + ...
   		   Abar(:,n).*((1-zetaice(n))).^3).*dzeta(n-1) ...
		   + I(:,n-1);
   Iintegral(:)=Iintegral(:)+(I(:,n-1)+I(:,n)).*dzeta(n-1);
end

%%%%NOTE:  Remaining parts of I included in masbalpsu